Subject: Re: [PATCH 1/4] cpumask: cpu_coregroup_mask(): x86

From: Mike Travis <[email-masked]>
Date: Wed, 17 Dec 2008 15:02:54 -0800

Mike Travis wrote:
> Rusty Russell wrote:
>> Like cpu_coregroup_map, but returns a (const) pointer.
>>
>> (This will go to Ingo separately as part of the x86 series, just
>> airing it here for thoroughness).
>>
>> Signed-off-by: Rusty Russell <[email-masked]>
>> Signed-off-by: Mike Travis <[email-masked]>
>> Cc: Ingo Molnar <[email-masked]>
> 
> I've pulled this patch into the queue for my cpus4096-for-ingo tree.
> 
> 	[PATCH 1/4] cpumask: cpu_coregroup_mask(): x86
> 
> I can also line up a queue for sched related changes:
> 
> 	[PATCH 4/4] cpumask: Replace cpu_coregroup_map with cpu_coregroup_map()
> 
> Is there any status on the corresponding changes for sparc, s390?  (I assume
> that they'll need to be merged into linux-next?)
> 
> 	[PATCH 2/4] cpumask: cpu_coregroup_mask(): sparc
> 	[PATCH 3/4] cpumask: cpu_coregroup_mask(): s390

Oops, never mind.  I just noticed that all 4 have already been pushed via
linux-next.

Ingo - how do we get these back into -tip for testing with other cpus4096
changes?  Do I need to do anything?

Thanks,
Mike